org.eclipse.emf.cdo.transaction

## Interface CDOXASavepoint

- All Superinterfaces:
    CDOUserSavepoint
  All Known Subinterfaces:
    InternalCDOXASavepoint

      public interface CDOXASavepoint
      extends CDOUserSavepoint

  Creates a save point in a `CDOXATransaction` that can be used to roll back a part of the transaction.

  Note: Save points do not flush to disk. Everything is done in memory on the client side.

  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOXASavepoint` | `getNextSavepoint()`
    `CDOXASavepoint` | `getPreviousSavepoint()`
    `java.util.List<CDOSavepoint>` | `getSavepoints()`
    `CDOXATransaction` | `getTransaction()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

      `getNumber, isValid, rollback`

- - ### Method Detail

    - #### getTransaction

          CDOXATransaction getTransaction()

      Specified by:
        `getTransaction` in interface `CDOUserSavepoint`

    - #### getNextSavepoint

          CDOXASavepoint getNextSavepoint()

      Specified by:
        `getNextSavepoint` in interface `CDOUserSavepoint`

    - #### getPreviousSavepoint

          CDOXASavepoint getPreviousSavepoint()

      Specified by:
        `getPreviousSavepoint` in interface `CDOUserSavepoint`

    - #### getSavepoints

          java.util.List<CDOSavepoint> getSavepoints()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html